Option Explicit

Sub doListAuthors ()
    Dim hstmt As Long
    ReDim Table(0, 0) As Variant    'This 2d array will holds the author rows.

    'Open a handle to a statement.
    hstmt = myOpenProcess()

    '
    If hstmt <> SQL_ERROR Then
        'Query author table and place rows in Table.
        LoadTable hstmt, "authors", Table()
        'Place rows into the grid.
        LoadGrid AuthorList, Table()
        myCloseProcess hstmt
    End If
    
End Sub

Sub doModAuthor (Ctrl As Control)
    Dim hstmt As Long
    Dim LName As String
    Dim FName As String

    Ctrl.Col = 1
    LName = Ctrl.Text
    Ctrl.Col = 2
    FName = Ctrl.Text

    hstmt = myOpenProcess()
    If hstmt > 0 Then
        LoadRecord hstmt, AddNullTerminator("select * from authors where au_lname='" & LName & "'" & " and au_fname='" & FName & "'")
        LoadForm Authors
        Authors.Show
        myCloseProcess hstmt
    End If
    
End Sub

Sub doNewAuthor ()
    Dim hstmt As Long
    ReDim gRecord(0) As DBInfo

    'Open a handle to a statement.
    hstmt = myOpenProcess()
    If hstmt <> SQL_ERROR Then
        CreateRecord hstmt, "authors"
        LoadForm Authors
        Authors.Show
        myCloseProcess hstmt
    End If

End Sub

Sub LoadGrid (Frm As Form, Table() As Variant)
    Dim i As Integer
    Dim j As Integer
    Dim iCols As Integer
    Dim iRows As Integer

    iCols = UBound(Table, 1)    'Table contains the rows from author table.
    iRows = UBound(Table, 2)

    'Initialize the grid to match the rows and columns.
    Frm!grdAuthors.Rows = iRows + 1
    Frm!grdAuthors.Cols = iCols

    'Set grid column widths to display rows.
    For i = 1 To iCols
        Frm!grdAuthors.ColWidth(i - 1) = (gColWidth(i) + 1) * 100
    Next i
    
    'Move rows from Table to grid.
    For j = 0 To iRows
        Frm!grdAuthors.Row = j
        For i = 1 To iCols
            Frm!grdAuthors.Col = i - 1
            Frm!grdAuthors.Text = Table(i, j)
        Next i
    Next j

    Frm.Show

End Sub

Sub SaveAuthor ()
    Dim sWhere As String

    SaveForm
    If Not gbNewRecord Then
        sWhere = "au_lname='" & GetRecValue("au_lname") & "'"
    Else
        sWhere = ""
    End If
    SaveRecord "authors", sWhere
    
End Sub

