;MSDNCD.CTL--   control file for the Microsoft Developer Network
;               cd application (pre-release disk #2).

; if any line in this file must exceed 1000 characters, LoadMan must be modified

[control]

 ; appname will be used to update the install date in the InstallDates section  in WIN.INI
appname=msdncd

 ; installdate: for inclusion in InstallDates in WIN.INI
installdate=Mar12

 ; driveN where N = 1-4: specify up to four drive tags and their 
 ; associated remote volumes. LoadMan will map each remote to a free local 
 ; drive if necessary.  
drive1=fspac-apps/pac:dos
drive2=fspac-cdrom1/cdrom1:

 ; copyfiles: any files that must be placed somewhere so the app can run
 ; (e.g. an ini file). both source and destination full pathnames must be 
 ; provided, separated by '>'. a file of the same name will be overwritten 
 ; unless the string is followed by ',nooverlay'.  if nooverlay is specified
 ; then the existing file will be modified as necessary but not overlaid.
copyfiles=%drive1%\cdman\msdnp2\viewer.ini>p:\viewer.ini

 ; appdrive: the drive where the application program is
appdrive=%drive1%

 ; apppath: if app is in root, the following should read 'apppath=%driveN%\'.
apppath=\cdman\msdnp2\

 ; loadcommand: do not include a drive or path
loadcommand=msdn.exe home.mvb

 ; wininisections: list the WIN.INI sections provided later in this file.
 ; the prefix 'winini.' will be removed before transfer to WIN.INI. 
wininisections=winini.extensions;winini.source viewer;winini.multimedia viewer;winini.fonts

 ; privateiniNname where N = 1 or 2: specify full pathname of application-
 ; specific .ini file(s) that need modification with sections provided later
 ; in this file.
privateini1name=p:\viewer.ini

 ; privateiniNsections: for each privateini file, specify the sections provided
 ; later in this file.
privateini1sections=privateini1.uiguide;privateini1.Files;privateini1.home;privateini1.home.index;privateini1.Navigator;privateini1.Infobase

[winini.extensions]
MVB=%drive1%\cdman\MSDNP2\viewer.exe ^.mvb

[winini.source viewer]
.txt=notepad
none=notepad
.c=notepad
.rc=notepad
.def=notepad
.dlg=notepad
.h=notepad
.asm=notepad
.inc=notepad
.map=notepad
.bat=notepad
.ico=imagedit
.bmp=imagedit
.cur=imagedit
.hlp=winhelp
.wav=soundrec
.cpp=notepad
.mak=notepad

[winini.multimedia viewer]
ViewerPath=%drive1%\cdman\MSDNP2\
M_WindowPosition=[4,4,648,488,0]
H_WindowPosition=[213,160,213,160,0]
C_WindowPosition=[24,69,470,225,0]

[winini.fonts]
Arial Super (TrueType)=%drive1%\cdman\MSDNP2\ARIALS.TTF

[privateini1.uiguide]
Path=%drive1%\cdman\IDG\

[privateini1.Files]
HOME.MVB=%drive2%\books\,Please reconnect to %drive2%

[privateini1.home]
Path=%drive2%\BOOKS\
MVBMap=%drive1%\cdman\MSDNP2\PREFIX.DAT
SearchData=%drive1%\cdman\MSDNP2\SEARCH\INDEX\;%drive2%\SEARCH\INDEX\;%drive2%\SEARCH\
SearchProgs=%drive2%\SEARCH\
Browser=%drive1%\cdman\MSDNP2\

[privateini1.home.index]
Source=%drive1%\cdman\MSDNP2\SOURCE.MSD
Subject=%drive1%\cdman\MSDNP2\SUBJECT.MSD
Keywords=%drive1%\cdman\MSDNP2\KEYWORD.MSD

[privateini1.Navigator]
logfile=P:\logfile.txt

