////////////////////////////////////////////////////
// FILE NAME:  voicedit.h   TITLE: edit w/voice
//
// AUTHOR: Ken North     Resource Group, Inc.	
//                       2604B El Camino Real, #351
//                       Carlsbad, CA 92008
//
////////////////////////////////////////////////////
//	Date: Thursday, 3 June 1993.  Time: 14:59:23.
////////////////////////////////////////////////////

#ifndef __VOICEDIT_H
#define __VOICEDIT_H

#include <strstrea.h>
#include <objstrm.h>

#ifndef __MONOLOG_H
#include "monolog.h"
#endif


class TVoiceEdit: public TEdit
{

public:

	BOOL	UseSpeech;
	BOOL	isDataOK;

	TVoiceEdit(PTWindowsObject AParent,
			int ResourceId, int Length, BOOL Proofread);
	virtual ~TVoiceEdit();

	 virtual BOOL CanClose();
	 virtual void ErrorStatus(char *);
	 virtual WORD Transfer(Pvoid, WORD);
	 virtual int Validate(char *);
	 virtual char* ValidCharacters();
};



#endif

