/*
 * WTJDISK.H : header file for the disk library
 */

typedef struct {        /* the custom file structure            */
  int       mode;
  HFILE     handle;
  int       ptr;
  int       end;
  char      cBuf[512];
} FSTR, far *LPFSTR;

typedef HGLOBAL HFSTR;  /* handle to memory for FSTR structure  */

/* prototypes...                */

HFSTR FAR PASCAL WTJ_Open( LPSTR fnm, LPSTR mode );
DWORD FAR PASCAL WTJ_Seek( HFSTR file, DWORD loc, int x );
DWORD FAR PASCAL WTJ_Tell( HFSTR file );
UINT  FAR PASCAL WTJ_Read( LPSTR lpBuf, int elsz, int nbr, HFSTR file );
UINT  FAR PASCAL WTJ_Write( LPSTR lpBuf, int elsz, int nbr, HFSTR file );
int   FAR PASCAL WTJ_Getc( HFSTR file );
int   FAR PASCAL WTJ_Gets( LPSTR lpDst, int n, HFSTR file );
int   FAR PASCAL WTJ_Putc( int c, HFSTR file );
void  FAR PASCAL WTJ_Close( HFSTR file );

