///////////////////////////////////////////////////////////////////
// FILE NAME:  210.cpp   TITLE: name address dialog
//
// AUTHOR: Ken North     Resource Group, Inc.	
//                       2604B El Camino Real, #351
// copyright(c)1993      Carlsbad, CA 92008
///////////////////////////////////////////////////////////////////
//	Date: Thursday, 3 June 1993.  Time: 13:18:43.
///////////////////////////////////////////////////////////////////

#include <owl.h>
#include <edit.h>
#include <listbox.h>
#include <combobox.h>
#include <bchkbox.h>
#include <checkbox.h>
#include <bradio.h>
#include <radiobut.h>
#include <scrollba.h>
#include <dialog.h>
#include <bwcc.h>
#include "edittaid.h"
#include "edittcls.h"
#include "voicedit.h"



extern HINSTANCE hInst;
extern LP210 lpTBuff210;


		// Define T210Dlg, a TDialog constructor
T210Dlg::T210Dlg(PTWindowsObject AParent, int ResourceId, BOOL Proofread)
               :TDialog(AParent, ResourceId)
{

   EditID_FIRSTNAME = new TEdit(this, ID_FIRSTNAME, 80);
   EditID_SURNAME = new TEdit(this, ID_SURNAME, 80);
   EditID_STREET = new TEdit(this, ID_STREET, 80);
   EditID_CITY = new TEdit(this, ID_CITY, 80);
   EditID_STATE = new TEdit(this, ID_STATE, 80);

				//  ZIP code is proofread
   EditID_ZIPCODE = new TVoiceEdit(this, ID_ZIPCODE, 80, Proofread);
   TransferBuffer = lpTBuff210;
}

				// Define T210Dlg destructor
T210Dlg::~T210Dlg()
{

}


