
////////////////////////////////////////////////////
// FILE NAME:  edittcls.h   TITLE: edit w/voice
//
// AUTHOR: Ken North     Resource Group, Inc.	
//                       2604B El Camino Real, #351
// copyright(c)1993      Carlsbad, CA 92008
////////////////////////////////////////////////////
//	Date: Thursday, 3 June 1993.  Time: 14:59:23.
////////////////////////////////////////////////////

#ifndef __EDITTALKCLS__H
#define __EDITTALKCLS__H

#include <owl.h>
#include <edit.h>
#include <listbox.h>
#include <combobox.h>
#include <bchkbox.h>
#include <checkbox.h>
#include <bradio.h>
#include <radiobut.h>
#include <scrollba.h>
#include <dialog.h>
#include <bwcc.h>
#include "edittaid.h"


_CLASSDEF(T210Dlg)

			// Declare T210Dlg, a TDialog descendant
class T210Dlg : public TDialog 
{
public:
   PTEdit EditID_FIRSTNAME;
   PTEdit EditID_SURNAME;
   PTEdit EditID_STREET;
   PTEdit EditID_CITY;
   PTEdit EditID_STATE;
   PTEdit EditID_ZIPCODE;

   T210Dlg(PTWindowsObject AParent, int ResourceId, BOOL Proofread);
   ~T210Dlg();

};

_CLASSDEF(T211Dlg)

				// Declare T211Dlg, a TDialog descendant
class T211Dlg : public TDialog 
{
public:

   T211Dlg(PTWindowsObject AParent, int ResourceId);
   ~T211Dlg();
   virtual void SetupWindow();
   virtual void Ok(RTMessage Msg) = [ID_FIRST + IDOK];

};

#endif // __EDITTALKCLS_H

